Skip to content
Changelog

Report a bug

Here integration: operations for AI agents

Here connects to Type.com as an integration. This page lists the 267 operations documented for Claude and Codex in Type.com: 173 read, 56 write, 38 destructive.

About Here

HERE Technologies provides comprehensive location data and mapping services, offering APIs and SDKs for developers to integrate maps, geocoding, routing, and other location-based features into their applications.

Categories: Developer Tools & IT

How to connect Here to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

267 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

267 operations listed.

Geocode

  • Read

    Geocode

    This endpoint allows you to find the geo-coordinates of a known address, place, locality or administrative area, even if the query is incomplete or partly incorrect. It also returns a complete postal address string and address details.

Discover

  • Read

    Discover

    This endpoint processes a free-form text query for an address or place, and returns results in order of relevance.

  • Write

    Discover

    BETA, RESTRICTED This endpoint processes a free-form text query for an address or place, and returns results in order of relevance.

Autosuggest

  • Read

    Autosuggest

    This endpoint suggests address or place candidates based on an incomplete or misspelled query, from which the user selects the best query to submit. NOTE: The response may contain experimental elements not documented here.

  • Write

    Autosuggest

    BETA, RESTRICTED This endpoint suggests address or place candidates based on an incomplete or misspelled query, from which the user selects the best query to submit. NOTE: The response may contain experimental elements not documented here.

Autocomplete

  • Read

    Autocomplete

    This endpoint completes entered keystrokes to a valid street address or administrative area to speed-up entering address queries.

Browse

  • Read

    Browse

    This endpoint provides search results for places based on different filters, such as categories or name, ranked by distance from a given search center. The only mandatory elements exposed in the response are ID and position.

  • Read

    Browse

    BETA, RESTRICTED This endpoint provides search results for places based on different filters, such as categories or name, ranked by distance from a given search center. The only mandatory elements exposed in the response are ID and position.

Revgeocode

  • Read

    Reverse Geocode

    This endpoint returns the nearest address to geo coordinates specified in the request.

Multi revgeocode

  • Write

    Multi-Reverse Geocode

    This endpoint returns addresses/places for a list of geo-coordinates specified in the request.

Lookup

  • Read

    Lookup By ID

    This endpoint looks up a known place using the HERE ID included in the request.

Signals

  • Write

    Signals

    RESTRICTED This endpoint receives user interaction data from previous search results to improve future result quality.

Routing

  • Read

    Calculate routes via GET

    Calculates a route using a generic vehicle/pedestrian mode, e.g. car, truck, pedestrian, etc...

  • Read

    Get route by handle via GET

    Decodes and returns a route from a previously calculated route handle. Disclaimer: A route handle is not suitable for persistent route storage! It can be invalidated at any time. A route handle encodes a previously calculated route.

  • Read

    Get route by handle via POST

    Decodes and returns a route from a previously calculated route handle. Disclaimer: A route handle is not suitable for persistent route storage! It can be invalidated at any time. A route handle encodes a previously calculated route.

  • Read

    Routes

    Lists public transit routes. The service supports several use cases as follows: define routes based on arrival or departure times. filter specific transit modes, such as rail and metro only. plan routes hours or days in advance.

  • Write

    Calculate routes via POST

    Calculates a route using a generic vehicle/pedestrian mode, e.g. car, truck, pedestrian, etc... At the moment, only selected parameters are permitted in the POST body, particularly those that may be restricted in the query string due to request size limitations.

  • Write

    Calculate a route from a sequence of trace points

    Creates a route from a sequence of trace points. Post body size limit is 10MiB. For best results, use 1Hz GPS data or any points that have a spacing of a few meters between them.

API Information

  • Read

    Health status of the service

    Returns the health of the service

  • Read

    Full version of the API

    Returns the version of the service

  • Read

    Retrieves this API specification in OpenAPI 3 format

    GET /openapi

  • Read

    Health status of the service

    Returns the health of the service

  • Read

    Full version of the API

    Returns the version of the service

  • Read

    Retrieves this API specification in OpenAPI 3 format

    GET /openapi

  • Read

    Returns open api specifications of v2. By default output format is json.

    Returns open api specifications of v2. By default output format is json. Set request header 'accept = application/x-yaml' to get in yaml format.

  • Read

    Tests the basic health of the service.

    GET /health

  • Read

    Retrieves API version information.

    GET /version

  • Read

    Health

    Returns the health status of the service

  • Read

    Version

    Returns the version of the service

  • Read

    Retrieves this API specification in OpenAPI 3 format

    GET /openapi

  • Read

    Health

    Returns the health of the service

  • Read

    Version

    Returns the version of the service

  • Read

    Retrieves this API specification in OpenAPI 3 format

    GET /openapi

  • Read

    Returns OpenAPI 3.0 definition of the API (current file)

    GET /openapi

  • Read

    Health status of the service

    Returns the health of the service

  • Read

    Full version of the API

    Returns the version of the service

  • Read

    Retrieves this API specification in OpenAPI 3 format

    Returns the OpenAPI specification of the Traffic API v7

  • Read

    This API specification

    Returns this API specification in YAML format.

  • Read

    Health

    Returns the health status of the service.

  • Read

    Version

    Returns the version of the service.

  • Read

    Service health

    Tests basic health of the service

  • Read

    API version

    Retrieves API Specification version information

  • Read

    OpenAPI specification

    Retrieves OpenAPI specification of this API

  • Read

    Tests basic health of the service

    GET /health

  • Read

    Retrieves API specification version information

    GET /version

  • Read

    Retrieves this API specification in OpenAPI 3 format

    GET /openapi

  • Read

    Health

    Returns the health status of the service

  • Read

    Version

    Returns the version of the service

  • Read

    This API specification

    Returns this API specification in YAML format.

  • Read

    Retrieves the OpenAPI v3 specification.

    Retrieves the OpenAPI v3 specification for this service in YAML or JSON format based on the Accept header. Use Accept: text/yaml, application/vnd.oai.openapi, or application/openapi+yaml for YAML format. Use Accept: application/json or application/openapi+json for JSON format.

Isoline

  • Read

    Get Isolines for specified ranges around a center point

    Retrieves a list of polylines that captures the approximate reachable area from the specified center point constrained by the provided parameters.

  • Write

    Calculate isolines via POST

    Retrieves a list of polylines that captures the approximate reachable area from the specified center point constrained by the provided parameters. At the moment, only select parameters are permitted in the POST payload.

Matrix Calculation

  • Read

    Status of submitted matrix calculation

    Returns the status of a submitted asynchronous matrix calculation. Redirects to the matrix result if the calculation is successfully completed.

  • Read

    Result of successfully completed calculation.

    GET /matrix/{matrixId}

  • Write

    Submit matrix for calculation

    Calculates a routing matrix based on provided origins and destinations. Response will be provided synchronously (see 200 response) or asynchronously (see 202 response) depending on the async query parameter.

List Profiles

  • Read

    List supported predefined profiles.

    It is guaranteed that with each minor API change profiles are only added to this list, but are never removed or modified.

Profile Mode

  • Read

    Get profile definition by its ID.

    GET /profiles/{profileId}

Next Departures

  • Read

    Departures

    Lists public transit departures. Discovers subsequent departures using structured or topological queries.

Station Search

  • Read

    Stations

    Lists public transit stations. Discovers stations using structured or topological queries.

Intermodal Routing

  • Read

    Routes

    Lists intermodal routes. All or a combination of the following services may be utilized by the intermodal algorithm to generate intermodal routes: Vehicle routing. Intermodal routing with real-time and timetable departures. Pedestrian routing with pedestrian connectivity.

Images

  • Read

    Retrieve a map image in the requested format

    Retrieve a section of the map by specifying its dimensions (width and height). Additionally, you can optionally choose from various parameters to modify the output.

  • Read

    Retrieve a map image with body-supplied geometry

    Retrieve a map image, supplying geometry (overlay or GeoJSON) in the request body instead of query parameters. All other parameters behave identically to the GET operation.

Icons

  • Read

    Retrieve an icon in the requested format

    Retrieve customizable icons based on style, country, state, and road class

Metadata

  • Read

    Returns the map version. This version is valid only for 24h

    Returns the map version. This version is valid only for 24h

  • Read

    Returns the political views.

    Returns the list of available political views.

  • Read

    Returns styles features

    Returns the list of available features per style. Then these values can be used to request a tile with particular features specified as query parameters. Must be consistent with 'style' parameter.

  • Read

    Returns the map languages.

    Returns the list of available map languages per map variant.

  • Read

    Returns the copyright

    Returns the copyright

  • Read

    Returns OMV-2 layers documentation.

    Returns OMV-2 layers documentation.

  • Read

    Returns a list of available protocol buffer formats.

    Returns a list of available protocol buffer formats.

  • Read

    Returns the specified protocol buffer file format.

    Returns the specified protocol buffer file format.

Data

  • Read

    Retrieves the protocol buffer encoded binary tile.

    Retrieves the protocol buffer encoded binary tile.

Real Time Traffic

  • Read

    Real-Time Flow Information

    Get real-time traffic flow data for a geospatial area.

  • Read

    Real-Time Incident Information

    Get traffic incidents for a geospatial area.

  • Read

    Real-Time Incident Information for the given id

    Get traffic incident for a given id. The id can be prefixed with a namespace. If no namespace is specified, the default namespace is "here:traffic:incident".

  • Write

    Real-Time Flow Information

    Get real-time traffic flow data for a geospatial area with geospatial filter.

  • Write

    Real-Time Incident Information

    Get traffic incidents for a geospatial area.

  • Write

    Real-Time Incident Information for the given id

    Get traffic incident for a given id. The id can be prefixed with a namespace. If no namespace is specified, the default namespace is "here:traffic:incident".

Weather Report

  • Read

    Weather report

    Retrieves weather reports, weather forecasts, severe weather alerts. Exactly one of the following query parameters must be provided together with one or more products: q zipCode location

Weather Radar

  • Read

    Weather radar image

    Retrieves a Doppler radar image

Weather Alerts

  • Write

    Weather alerts

    Weather alerts along the route or around a single location.

Location

  • Write

    Location query

    Request WGS-84 compliant geographical coordinates for a location based on 2G/3G/4G cell and/or WLAN measurements.

Synchronous

  • Write

    Submit a Vehicle Routing Problem to solve it synchronously

    Solve a vehicle routing problem synchronously by optimizing vehicle routes and schedules for jobs (deliveries or pickups) from a depot, including constraints like vehicle capacity, job demand, time windows, and required skills.

  • Write

    ALPHA Submit a Vehicle Routing Problem to solve it synchronously

    ALPHA Solve a vehicle routing problem synchronously by optimizing vehicle routes and schedules for jobs (deliveries or pickups) from a depot, including constraints like vehicle capacity, job demand, time windows, and required skills.

Asynchronous

  • Read

    Get status update by Id

    Provides an interface to retrieve the status ID of an asynchronous request.

  • Read

    Get solution by problem or status Id

    Retrieve a solution for a previously submitted vehicle routing problem.

  • Write

    Submit a Vehicle Routing Problem to solve it asynchronously.

    Solve a vehicle routing problem asynchronously by optimizing vehicle routes and schedules for jobs (deliveries or pickups) from a depot, including constraints like vehicle capacity, job demand, time windows, and required skills.

  • Write

    ALPHA Upload a Routing Matrix

    ALPHA Upload a routing matrix for use in subsequent asynchronous requests. To gain access to this endpoint, contact your regional HERE representative.

  • Destructive

    Cancel a problem by problem or status Id

    Cancel a previously submitted vehicle routing problem. This action stops the solver from processing the problem and prevents any further updates or solutions from being generated.

Charging Location Lookup

  • Read

    Fetch a single location

    Allows fetching a single location given its ID. The set of returned location properties can be controlled via the fields parameter.

  • Read

    Fetch multiple locations

    Returns data for the specified location identifiers in the items property of the response. If no data is found for a location identifier, it appears in the missing property.

Charging Location Metadata

  • Read

    Fetch metadata by countries.

    Fetch metadata by countries, such as a list of e-Mobility Service Providers (eMSPs). If you don't specify any countries, the response includes all available countries. If you don't specify any fields, the response includes only the list of available countries.

Fuel stations

  • Read

    Fuel stations search

    Retrieves fuel stations within geospatial area

  • Read

    One fuel station data

    Retrieves single fuel station information for given station id

  • Read

    Return multiple fuel stations

    Retrieves multiple fuel stations by station ids

  • Read

    Number of fuel stations

    Return number of fuel stations within given geospatial area

  • Write

    Fuel stations along the route search

    Retrieves fuel stations along the route

Fuel types and brands

  • Read

    Fuel types

    Returns all available fuel types. Fuel type id can be used as fuelType query parameter in Fuel stations search

  • Read

    Fuel brands

    Returns all available fuel station brands. Fuel station brand can be used as brands query parameter in Fuel stations search

Waypoints Sequence

  • Read

    Waypoints Sequence API find Sequence GET

    Compute best Sequence for Waypoints (Travelling Salesman Problem). Note: We recommend using POST requests for large payloads, as GET requests may be constrained by request-line length limits imposed by load balancers.

  • Write

    Waypoints Sequence API find Sequence POST

    Compute best Sequence for Waypoints (Travelling Salesman Problem). For POST requests, send the request parameters in an application/x-www-form-urlencoded request body instead of the query string.

Route Matching V8

  • Read

    Match GPS traces to get the most probably driven path. Use &routeMatch=1 for default route matching behavior.

    Note: We recommend using POST requests for large payloads, as GET requests may be constrained by request-line length limits imposed by load balancers.

  • Write

    Match GPS traces to get the most probable driven path. Must use &routeMatch=1 for default route matching behavior.

    Match GPS traces to get the most probable driven path. Must use &routeMatch=1 for default route matching behavior. Compatible with version 2 route matching.

  • Write

    Submit an overlay map for customized route matching.- Deprecated

    Submit an overlay map with custom modifications, such as block road links, remove restrictions from road links, or insert new road links into the network. The modifications that you submit, as part of your overlay maps, are only visible to you but not to other customers.

Geofencing V8

  • Read

    Simple and fast search for geometries on HERE Map Content layers, extensible with custom geometry layers

    Simple and fast search for geometries on HERE Map Content layers, extensible with custom geometry layers Note: We recommend using POST requests for large payloads, as GET requests may be constrained by request-line length limits imposed by load balancers.

  • Read

    Simple and fast access to your custom geofence attributes

    Simple and fast access to your custom geofence attributes

  • Write

    Simple and fast search for geometries on HERE Map Content layers, extensible with custom geometry layers

    Simple and fast search for geometries on HERE Map Content layers, extensible with custom geometry layers

  • Write

    Import Geometries in a WKT or Shape File

    Import polygons, polylines or points in WKT (Wellknown Text) or Shapefile format geometries using an HTTP POST request. A layer can contain only one geometry type - polygons, polylines or points, but not a mix of different types.

  • Write

    Modify Geometries in Existing Layers

    Modify geometries using an HTTP POST request. After receiving the response, there is a delay of several seconds to compile, store and make the modified geometries available in the service.

  • Destructive

    Delete some of my Geometry Layers. To delete complete maps, leave the layerNames field in parameter 'id' empty

    GET /v8/geofence/delete

Map Attributes V8

  • Read

    Simple and fast access to the rich HERE Map Content

    Simple and fast access to the rich HERE Map Content

  • Read

    Map Attributes for individual segments.

    The segments endpoint can be used to enrich multiple unconnected segments with HERE Map content attributes. Note: We recommend using POST requests for large payloads, as GET requests may be constrained by request-line length limits imposed by load balancers.

  • Read

    Retrieve the POIs that are reachable within a certain time or distance from the main route

    Retrieve the POIs that are reachable within a certain time or distance from the main route

  • Read

    List available map (public/private/both) regions/releases available to the app.

    GET /v8/maps/list

  • Read

    List all maps (public/private/both) available to the app in HTML format.

    GET /v8/maps/list.html

  • Read

    List the available map layers (public/private/both) in JSON format.

    List the available map layers (public/private/both) in JSON format. To see only the layers of a given map region, like Postal Code Boundaries or WEU, then specify it as map 'region'

  • Read

    List the available map layers (public/private/both) in HTML format.

    List the available map layers (public/private/both) in HTML format. To see only the layers of a given map region, like Postal Code Boundaries or WEU, then specify it as map 'region'

  • Read

    Show the layer documentation for a specific layer (public/private) in JSON format.

    Show the layer documentation for a specific layer (public/private) in JSON format. Public layer documentation list the attributes and corresponding official attribute description, for private layers attribute description might be empty.

  • Read

    Show the layer documentation for a specific layer (public/private) in HTML format.

    Show the layer documentation for a specific layer (public/private) in HTML format. Public layer documentation list the attributes and corresponding official attribute description, for private layers attribute description might be empty.

  • Read

    List the layer attributes across all layers

    List the map layer attributes across all layers

  • Read

    List the layer attributes across all layers

    List the layer attributes across all layers in basic HTML format

  • Read

    List available layer indexes

    List the available indexes of custom and public layers.

  • Read

    List available layer indexes

    List the available indexes of custom and public layers.

  • Read

    Tile IDs containing a given value

    Retrieve the IDs of tiles that contain a given (set of) attribute value(s). Does not work for custom layers.

  • Read

    Landing page for inline documentation

    Landing page for inline documentation in HTML format

  • Read

    Service parameter boundary values

    Numeric constants and limits for the service calls. Will never become more strict, but can become more relaxed in future releases.

  • Read

    Map Attributes along a route path.

    The path endpoint can be used to enrich a given continuous route path with HERE Map content attributes. Note: We recommend using POST requests for large payloads, as GET requests may be constrained by request-line length limits imposed by load balancers.

  • Write

    Simple and fast access to the rich HERE Map Content

    Simple and fast access to the rich HERE Map Content

  • Write

    Map Attributes for individual segments (POST).

    The segments endpoint can be used to enrich multiple unconnected segments with HERE Map content attributes. For POST requests, send the segmentRefs parameter in an application/x-www-form-urlencoded request body instead of the query string.

  • Write

    Import Geometries in a WKT or Shape File - deprecated, use HERE Geofencing API

    Import polygons, polylines or points in WKT (Wellknown Text) or Shapefile format geometries using an HTTP POST request, or import WKT geometries using HTTP GET. A layer can contain only one geometry type - polygons, polylines or points, but not a mix of different types.

  • Write

    Modify Geometries in Existing Layers - deprecated, use HERE Geofencing API

    Modify geometries using an HTTP GET or POST request. After the response there is a delay of several seconds to compile, store and make the modified geometries available in the service.

  • Write

    Map Attributes along a route path (POST).

    The path endpoint can be used to enrich a given continuous route path with HERE Map content attributes.

  • Destructive

    Delete some of my Geometry Layers. To delete complete maps and overlays, leave the layerNames field in parameter 'id' e…

    Delete some of my Geometry Layers. To delete complete maps and overlays, leave the layerNames field in parameter 'id' empty - deprecated, use HERE Geofencing API.

Ingestion

  • Read

    Gets service health

    GET /v2/health

  • Read

    Gets service version

    GET /v2/version

  • Read

    Gets the current timestamp

    Returns the current server time in seconds since the UNIX epoch. The server time is used to check the validity of the OAuth 1.0 header of a device data ingestion request. Devices must synchronise with the server time to avoid a clock skew.

  • Read

    Gets service health

    GET /v3/health

  • Read

    Gets service version

    GET /v3/version

  • Write

    Requests a token for a registered device

    Authenticates a device to HERE Tracking and requests a device access token. A device must provide a valid device access token when it sends telemetry to HERE Tracking. Tokens can be obtained upon a successful device authentication. The device token requests must be signed.

  • Write

    Ingests data and receives a shadow

    Devices can use this end point to ingest data into HERE Tracking, in the same way as via the /v3 endpoint. A device uses its access token obtained via the the /v2/token endpoint to send telemetry – GPS position, sensor readings, WLAN or Bluetooth scans - to HERE Tracking.

  • Write

    Ingests data for a device and receives a shadow

    Devices can use this end point to ingest data into HERE Tracking. A device uses its access token obtained via the the /v2/token endpoint to send telemetry – GPS position, sensor readings, WLAN or Bluetooth scans - to HERE Tracking.

  • Write

    Ingests data for multiple devices

    Device owner use this endpoint to ingest data to HERE Tracking on behalf of multiple devices. A single request can contain data for multiple devices. The devices can be either real or virtual. A real device is identified by a trackingId assigned to it when the device was claimed.

Largedata

  • Read

    Gets service health

    GET /largedata/v4/health

  • Read

    Gets service version

    GET /largedata/v4/version

  • Read

    Gets large data object

    Downloads a part of large data. The data to be downloaded is identified with dataId. offset query paremeter specifies the first byte of the data, and count indicates how many bytes of the data is to be downloaded starting from and including the offset.

  • Read

    Gets metadata for a large data object

    Gets metadata for a large data object.

  • Read

    Gets parts information listing for a large data object

    Gets information about uploaded parts for a large data object.

  • Read

    Gets metadata listing for all large data for a device

    Gets metadata listing for all large data objects for a given device.

  • Write

    Creates a new data upload

    Creates a new multipart large data upload. Response contains dataId, which is the created large data object identifier.

  • Write

    Completes data upload

    After all parts have been uploaded, this operation completes the upload. When the upload has been completed, it is no longer possible to upload new parts to it but the uploaded data can be downloaded.

  • Destructive

    Uploads a part of a large data

    Uploads a part of large data. The part is identified with dataId and a part number. Part upload has the following limits: The part numbers must start from 1, be no greater than 10000 and be consecutive. The size of one uploaded data part must be between 1 byte and 1 MB.

  • Destructive

    Deletes large data

    Deletes large data object.

Registry

  • Read

    Gets service health

    GET /registry/v2/health

  • Read

    Gets service version

    GET /registry/v2/version

  • Read

    Lists all the devices provisioned by a user

    Lists all the devices provisioned by a user project identified by the appId.

  • Read

    Gets a number of device licenses provisioned by a user

    Gets a number of provisioned device licenses for a user project identified by the appId.

  • Read

    Gets the multiple device license request job status

    Checks the progress of a previously created multiple device license request batch job.

  • Read

    Gets the multiple device license request job results

    Gets results of a previously created multiple device license request batch job upon its successful completion.

  • Read

    Gets the trackingId for a device

    Gets the trackingId for a claimed device by its deviceId.

  • Read

    Gets the deviceId

    Gets the deviceId of a claimed device by its trackingId.

  • Read

    Gets a list of projects along with their license information

    Gets a list of projects the user is a member of, along with the license information details for each project.

  • Read

    Gets the project features for a project

    Gets features for a project identified by projectId.

  • Write

    Creates licenses for multiple devices

    Starts a batch job to create licenses for either physical devices or virtual devices. A physical device license is a deviceId and deviceSecret credential pair. The batch job creates a number of physical device licenses specified by the count parameter in the request body.

  • Write

    Creates a license for a single physical device

    Device license is a deviceId and deviceSecret credential pair. The created credentials will be returned in the response body. If autoclaim query parameter is set to true, the created device will also be claimed by the same user account.

  • Write

    Updates the project features

    Updates features for a project identified by projectId. When configurations are updated, those configuration properties provided in the request will override existing properties while properties not provided in the request are left unchanged. Supported project features are: data.

  • Write

    Gets all resources of a resource type

    Gets all resources of the resource type resourceType.

  • Destructive

    Claims a device

    Claims a device, associating a device to a user account. The user who claimed a device is the device owner, which is different from the device vendor. Unclaimed devices cannot login or send any data to HERE Tracking.

  • Destructive

    Deactivates a device.

    Deactivates a provisioned device. This operation will deactivate the device license (deviceId and deviceSecret). Deactivated devices cannot be claimed anymore. NOTE: The device must be unclaimed before it can be deactivated.

  • Destructive

    Unclaims a device

    Unclaims a device removing the ownership association between the user and the device. The device data will no longer be accessible to the user. The device can then be reclaimed by a different or the same user.

Users

  • Read

    Gets service health

    GET /users/v2/health

  • Read

    Gets service version

    GET /users/v2/version

  • Read

    Gets all devices claimed by a project

    Gets all devices claimed by a project.

  • Write

    Gets a user access token

    Authenticates a user with an email and a password and gets a user access token upon the successful authentication. The user email must be registered with a valid HERE Account. Optionally user can provide requested realm ID.

  • Write

    Gets a renewed user access token

    Gets a new valid user access token for a given previous access token and a refresh token.

  • Write

    Gets a project-scoped user access token

    Takes user access token, requested scope and returns project-scoped user access token.

Associations

  • Read

    Gets service health

    GET /associations/v3/health

  • Read

    Gets service version

    GET /associations/v3/version

  • Read

    Gets sensor rules associated with a device

    Gets a list of sensor rules associated with the device trackingId.

  • Read

    Gets geofences associated with a device

    Gets a list of geofences associated with the device trackingId.

  • Read

    Gets rules associated with a device

    Gets a list of rules associated with the device trackingId.

  • Write

    Associates rules with a device

    Associates rules with the device trackingId.

  • Write

    Disassociates rules from a device

    Disassociates rules from the device identified by trackingId.

  • Destructive

    Associates a device with a sensor rule

    Associates the device with trackingId to the sensor rule with sensorRuleId. A single device can only have one sensor rule per sensor type associated.

  • Destructive

    Disassociates a device and a sensor rule

    Deletes the association between the sensor rule sensorRuleId and the device trackingId.

  • Destructive

    Associates a device to a geofence

    Associates the device with trackingId to the geofence with geofenceId. Whenever the device enters or exits the associated geofence, an event is generated.

  • Destructive

    Disassociates a device and a geofence

    Deletes an association between the geofence geofenceId and the device trackingId.

  • Destructive

    Associates a device to a rule

    Associates the device with trackingId to the rule with ruleId. Whenever the device behaviour triggers the rule, an event is generated.

  • Destructive

    Disassociates a device and a rule

    Deletes an association between the rule ruleId and the device trackingId.

  • Destructive

    Updates rules associations for devices

    Updates rules associated with devices.

Events

  • Read

    Gets service health

    GET /events/v3/health

  • Read

    Gets service version

    GET /events/v3/version

  • Read

    Gets event history

    Gets all events for all devices and shipments of the project. The results are listed in descending order based on the timestamp. An event is uniquely identified by trackingId-ruleId-timestamp key, with an exception of dwelling and stock rule events.

  • Read

    Gets event history for a device or a shipment

    Gets all events for a device or a shipment. A device is identified by the trackingId. For shipments, shipmentId can be used as a trackingId. The results are listed in descending order based on the timestamp.

  • Read

    Gets the event statuses

    Gets all events statuses for all devices and shipments of the project. An event status of a device is the most recent event of any rule or geofence the device is associated with. The same applies for shipments.

  • Read

    Gets the number of devices and shipments in each event state

    This API call counts the number of devices and shipments that are currently in the different event states per rule or per event source (that is per rule type). An event state of a device is the event type of the most recent device event.

Geofences

  • Read

    Gets service health

    GET /geofences/v2/health

  • Read

    Gets service version

    GET /geofences/v2/version

  • Read

    Gets all geofences

    Gets all geofences of a project. Results can be filtered by using the query parameters. Indoor geofences with the floor properties may be filtered by floor[id], which specifies the ID of the venue associated with the geofence.

  • Read

    Gets a single geofence

    Gets details of a single geofence identified by the geofenceId.

  • Write

    Creates a geofence

    One can specify a geofence as a circle, as a polygon or as POI (Point of Interest). One can also assign a name and a description to each geofence to help identify them. Circle --- Specify coordinates of the center point of the circle and a radius in meters.

  • Write

    Trains a POI geofence

    Trains the POI geofence geofenceId using a device telemetry. The POI geofence boundary is defined using radio measurements.

  • Write

    Checks if a POI geofence training is possible with the given parameters

    Checks if a POI geofence training is possible with the given request parameters. The request body contains a training data sample in form of either a device tracking ID along with a specific time range for the ingested device telemetry or a WLAN scan.

  • Destructive

    Deletes all geofences

    Deletes all geofences of a project. If a geofence is associated with a stock rule, the rule will also be deleted. Note that one needs to supply an HTTP header x-confirm with the value true to force the deletion. If the header is not provided, the request will fail.

  • Destructive

    Updates a single geofence

    Updates the geofence type, name, description, metadata or definition property. The old geofence will be replaced by the new one, and hence the full set of the geofence properties must be provided in the request body.

  • Destructive

    Deletes a geofence

    Deletes a single geofence identified by the geofenceId.

Locations

  • Read

    Gets service health

    GET /locations/v4/health

  • Read

    Gets service version

    GET /locations/v4/version

  • Read

    Gets all locations

    Gets all locations of the project.

  • Read

    Gets a location details

    Gets details of the location locationId.

  • Write

    Creates a location

    Creates a new location. A location consists of latitude/longitude coordinate pair and/or geofenceId. A name, description, and address of the location may be provided.

  • Destructive

    Deletes all locations

    Deletes all locations of the project. Note that one needs to supply an HTTP header x-confirm with the value true to force the deletion. If the header is not provided, the request will fail.

  • Destructive

    Updates a location details

    Updates the location locationId details. A location consists of latitude/longitude coordinate pair and/or geofenceId. A name, description, and address of the location may be provided.

  • Destructive

    Deletes a location

    Deletes the location locationId. NOTE: A location can not be deleted if the location is referred by any shipment.

Rules

  • Read

    Gets service health

    GET /rules/v4/health

  • Read

    Gets service version

    GET /rules/v4/version

  • Read

    Gets all rules

    Gets all rules definitions.

  • Read

    Gets a single rule

    Gets details of a single rule identified by the ruleId.

  • Write

    Creates a rule

    Creates a rule of the specified rule type and with the defined threshold. After the rule has been created, it needs to be associated to a device to get activated. Detention rule --- For a rule of the detention type the threshold is defined as a duration in seconds.

  • Destructive

    Deletes all rules

    Deletes all rules of the project. Note that one needs to supply an HTTP header x-confirm with the value true to force the deletion. If the header is not provided, the request will fail.

  • Destructive

    Updates a single rule

    Updates the name, description and threshold of the rule ruleId. The rule type cannot be updated. If some of the these properties are not provided in the request body, their values will be set to null.

  • Destructive

    Deletes a rule

    Deletes a rule identified by the ruleId.

Sensors

  • Read

    Gets service health

    GET /sensors/v3/health

  • Read

    Gets service version

    GET /sensors/v3/version

  • Read

    Gets all sensor rules

    Gets all sensor rules definitions.

  • Read

    Gets a single sensor rule

    Gets details of a single sensor rule identified by the sensorRuleId.

  • Write

    Creates a sensor rule

    Creates a sensor rule of the specified rule type. After the sensor rule has been created, it needs to be associated to a device to get activated.

  • Destructive

    Deletes all sensor rules

    Deletes all sensor rules of a project. Note that one needs to supply an HTTP header x-confirm with the value true to force the deletion. If the header is not provided, the request will fail.

  • Destructive

    Updates a single sensor rule

    Updates the sensor rule sensorRuleId name, description and range or threshold. The sensor rule type cannot be updated. If some of the these properties are not provided in the request body, their values will be set to null.

  • Destructive

    Deletes a sensor rule

    Deletes a sensor rule identified by the sensorRuleId.

Shadows

  • Read

    Gets service health

    GET /shadows/v2/health

  • Read

    Gets service version

    GET /shadows/v2/version

  • Read

    Gets a device shadow

    Gets the trackingId device shadow that contains both reported and desired shadows. If a shipmentId is used instead of a trackingId, it will return a shadow of the device that was most recently active for the shipment.

  • Read

    Gets reported or desired state object of a device

    Gets the reported or desired state object of the device trackingId, that is the reported or desired device shadow.

  • Read

    Gets a value of a shadow property

    Gets a value of a single property of either desired or reported state objects of a device. One can use JSON selectors to specify the target property or reference it by name. In case the property contains an object, the entire object will be returned in the response.

  • Read

    Gets all shadows

    Gets all device shadows of a project.

  • Write

    Gets a batch of device shadows

    Gets device shadows for multiple devices. One can get shadows for a maximum of 100 devices per request. In case after parameter is provided, only the device shadows that were modified on or after the specified timestamp will be retrieved.

  • Destructive

    Updates a device shadow

    Updates the trackingId device desired shadow. The device shadow consists of reported and desired shadows. Only the desired shadow can be updated via this endpoint. The reported shadow is updated automatically when the device sends telemetry to the ingestion endpoint.

  • Destructive

    Clears a device shadow

    Deletes the device shadow of the trackingId device. By default, all the values of the desired and reported shadow objects will be cleared, leaving them empty. If either desired or reported query parameter is set to false, that part of the shadow remains as it is.

Shipments

  • Read

    Gets service health

    GET /shipments/v4/health

  • Read

    Gets service version

    GET /shipments/v4/version

  • Read

    Gets a shipment details

    Gets details of a specific shipment identified by the shipmentId.

  • Read

    Gets a segment details

    Gets details of a segment identified by the segmentId.

  • Read

    Gets segments assigned to a device

    Gets all segments that are assigned to the device with trackingId or shipmentId.

  • Write

    Creates a shipment

    Creates a new shipment. A shipment consists of segments each representing a part of the logistics journey. A segment spans from a location to another and each segment may be assigned a different tracking device.

  • Write

    Updates a shipment details

    Updates details of a shipment identified by the shipmentId. This is a partial update, meaning that only the provided fields will be updated, except when updating segments, the whole segments will be replaced fully.

  • Write

    Updates a segment details

    Updates details of a segment identified by the segmentId. This is a partial update, meaning that only the provided fields will be updated. Changing the status of a segment affects the statuses of other segments in the shipment.

  • Destructive

    Deletes all shipments

    Deletes all the shipments of the project. Note that one needs to supply an HTTP header x-confirm with the value true to force the deletion. If the header is not provided, the request will fail. If the project has many shipments, deleting them all can take a while.

  • Destructive

    Deletes a shipment

    Deletes a shipment identified by the shipmentId. All the data related to the shipment (such as events, associations) will be removed.

Traces

  • Read

    Gets service health

    GET /traces/v2/health

  • Read

    Gets service version

    GET /traces/v2/version

  • Read

    Gets traces within a specified time range

    Gets all traces of the device trackingId that were recorded within the specified time range. The range is defined with before and after parameters. The returned traces are sorted in descending order based on their timestamps.

  • Destructive

    Deletes all the device traces and events

    Deletes all the device trackingId traces. This will also trigger deletion of the entire event history of the device.

Batch jobs

  • Read

    Returns the details of multiple jobs

    Fetches the details of all jobs the user is authorized to access - filtered on criteria provided in the query. If none of the jobs matches criteria, an empty array is returned in the 200 - OK response.

  • Read

    Returns the details of a job

    Fetches the details of the job with the specified ID.

  • Read

    Returns the errors of a job

    Fetches the errors of the job with the specified ID, given that it has completed with errors, as a downloadable stream of data. If the job does not yet have any errors available, this operation responds with a 404 - NOT FOUND response.

  • Read

    Returns the results of a job

    Fetches the results of the job with the specified ID, given that it has completed successfully, as a downloadable stream of data. If the job does not (yet) have any results available, this operation responds with a 404 - NOT FOUND response.

  • Write

    Creates a new job

    Creates a new job from the supplied input and query parameters. A 201 - CREATED response returns the job's unique ID, which should be used in future operations on the job.

  • Destructive

    Deletes multiple jobs

    Deletes all jobs the user is authorized to access, filtered on criteria provided in the query. If none of the jobs matches the criteria, a 200 - OK response is returned with an empty list of job IDs.

  • Destructive

    Deletes a job

    Deletes a job.

  • Destructive

    Starts a job

    Schedules a job for immediate execution and responds with a 200 - OK if successful. If the job is already running this operation does nothing and will respond with the same 200 - OK response.

  • Destructive

    Stops a job

    This operation will schedule a job to be halted and responds with a 200 - OK if successful. If the job is not currently running, then this operation does nothing but will still return a 200 - OK response.

Batch notifications (BETA)

  • Read

    (BETA) Get all notifications

    (BETA) Get all notifications that the current client has access to.

  • Read

    (BETA) Get a notification

    (BETA) Get a notification by id.

  • Read

    (BETA) Test a notification

    (BETA) Test a notification with dummy parameters. This allows, to test the endpoint without letting a job run.

  • Write

    (BETA) Create a new notification

    (BETA) Create a new notification. To configure a notification, the type as well as the the config property needs to be defined. Each type requires individual properties as listed below. webHook For the notification of the type webHook only a url parameter is required.

  • Destructive

    (BETA) Replace a notification

    (BETA) Replace a notification. To configure a notification, the type as well as the the config property needs to be defined. Each type requires individual properties as listed below. webHook For the notification of the type webHook only a url parameter is required.

  • Destructive

    (BETA) Delete a notification

    (BETA) Delete a notification by its id.

See How connections work for access and permissions, or browse all integrations.